digiKam Developer Documentation: Digikam::CoreDbWatch Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Protected Slots | List of all members
Digikam::CoreDbWatch Class Reference
Inheritance diagram for Digikam::CoreDbWatch:

## Public Types
enum | DatabaseMode { DatabaseMaster , DatabaseSlave }

## Signals
void | albumChange (const AlbumChangeset &changeset)
void | albumRootChange (const AlbumRootChangeset &changeset)
void | collectionImageChange (const CollectionImageChangeset &changeset)
void | databaseChanged ()
| Retrieve the CoreDbWatch object from CoreDbAccess::databaseWatch().
void | imageChange (const ImageChangeset &changeset)
| Notifies of changes in the database.
void | imageTagChange (const ImageTagChangeset &changeset)
void | searchChange (const SearchChangeset &changeset)
void | signalAlbumChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::AlbumChangeset &changeset)
void | signalAlbumRootChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::AlbumRootChangeset &changeset)
void | signalCollectionImageChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::CollectionImageChangeset &changeset)
void | signalImageChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::ImageChangeset &changeset)
| DBus signals, for internal use.
void | signalImageTagChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::ImageTagChangeset &changeset)
void | signalSearchChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::SearchChangeset &changeset)
void | signalTagChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::TagChangeset &changeset)
void | tagChange (const TagChangeset &changeset)

## Public Member Functions
void | doAnyProcessing ()
void | initializeRemote (DatabaseMode mode)
void | sendAlbumChange (const AlbumChangeset &changeset)
void | sendAlbumRootChange (const AlbumRootChangeset &changeset)
void | sendCollectionImageChange (const CollectionImageChangeset &changeset)
void | sendDatabaseChanged ()
| library-internal signal-trigger methods
void | sendImageChange (const ImageChangeset &changeset)
void | sendImageTagChange (const ImageTagChangeset &changeset)
void | sendSearchChange (const SearchChangeset &changeset)
void | sendTagChange (const TagChangeset &changeset)
void | setApplicationIdentifier (const QString &identifier)
void | setDatabaseIdentifier (const QString &identifier)

## Protected Slots
void | slotAlbumChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::AlbumChangeset &changeset)
void | slotAlbumRootChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::AlbumRootChangeset &changeset)
void | slotCollectionImageChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::CollectionImageChangeset &changeset)
void | slotImageChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::ImageChangeset &changeset)
| DBus slots, for internal use.
void | slotImageTagChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::ImageTagChangeset &changeset)
void | slotSearchChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::SearchChangeset &changeset)
void | slotTagChangeDBus (const QString &databaseIdentifier, const QString &applicationIdentifier, const Digikam::TagChangeset &changeset)

## Member Function Documentation

## ◆ databaseChanged

void Digikam::CoreDbWatch::databaseChanged | ( |  | ) |
| signal

This does not describe a change of the contents of a table; rather, it signals that a new database has been loaded. That means all cached content has to be discarded.

## ◆ imageChange

void Digikam::CoreDbWatch::imageChange | ( | const ImageChangeset & | changeset | ) |
| signal

Connect to the set of signals that you are interested in.